> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Member ID Card

> Retrieves a member ID card.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml get /member_id_cards/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /member_id_cards/{public_id}:
    get:
      tags:
        - member_id_cards
      description: Retrieves a member ID card.
      operationId: member_id_cards_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberIdCard'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    MemberIdCard:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        insurance_member_id:
          type: string
          nullable: true
          maxLength: 255
          description: The carrier-issued insurance member ID printed on the card.
        document:
          type: string
          nullable: true
          description: The member document associated with this ID card.
        enrollment_plans:
          type: array
          items:
            type: string
          readOnly: true
        enrollment_dependents:
          type: array
          items:
            type: string
          readOnly: true
      required:
        - enrollment_dependents
        - enrollment_plans
        - id
        - member
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.